curl --request GET \
--url https://api.salvy.com.br/api/v3/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.salvy.com.br/api/v3/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.salvy.com.br/api/v3/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"companyId": "123e4567-e89b-12d3-a456-426614174000",
"status": "pending",
"isLate": false,
"amountCents": 129900,
"dueDate": "2026-08-10",
"referenceMonth": "2026-07",
"createdAt": "2026-08-01T03:00:00.000Z"
}
],
"pagination": {
"page": 1,
"pageSize": 50,
"totalCount": 123,
"totalPages": 3
}
}{
"code": "unauthorized",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "resource-not-found",
"message": "<string>"
}{
"code": "payload-too-large",
"message": "<string>"
}{
"code": "input-validation-error",
"message": "<string>",
"details": [
{
"key": "<string>",
"message": "<string>"
}
]
}{
"code": "unknown",
"message": "<string>"
}Listar faturas
Lista as faturas, ordenadas por data de vencimento, utilize monthYear para pegar faturas referentes a um mês.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Número da página, iniciando em 1.
1 <= x <= 90071992547409911
Tamanho da página. Máximo de 200.
1 <= x <= 20050
Filtra pela situação da fatura. Repita o parâmetro para incluir múltiplos valores (?status=pending&status=late). late é derivado: casa faturas abertas cuja data de vencimento já passou.
pending, paid, failed, voided, refunded, charged-back, late "pending"
Filtra pelo produto faturado. Repita o parâmetro para incluir múltiplos valores.
telecom, asset-management, saas-management "telecom"
Filtra faturas de um mês de referência específico, no formato YYYY-MM. Não pode ser combinado com fromMonthYear/toMonthYear.
^\d{4}-\d{2}$"2026-07"
Filtra faturas com mês de referência a partir deste mês (inclusivo), no formato YYYY-MM.
^\d{4}-\d{2}$"2026-01"
Filtra faturas com mês de referência até este mês (inclusivo), no formato YYYY-MM.
^\d{4}-\d{2}$"2026-07"
Campo usado para ordenar o resultado. Padrão: dueDate.
dueDate, referenceMonth, amountCents, status, createdAt "dueDate"
Direção da ordenação. Padrão: desc.
asc, desc "desc"